ASTSCRIPT-PSF-STAMP(1)

NAME
astscript-psf-stamp - Make normalized stamp with other sources masked

SYNOPSIS
astscript-psf-stamp [OPTION] FITS-files

DESCRIPTION
This script is part of GNU Astronomy Utilities 0.23.

This script will consider a center position to make a normalized stamp. It is intendeed to generate several stamps and combine them to obtain a PSF.

For more information, please run any of the following commands. In particular the first contains a very comprehensive explanation of this script's invocation: expected input(s), output(s), and a full description of all the options.

Inputs/Outputs and options:
    $ info astscript-psf-stamp

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

  astscript-psf-stamp options:

    Input:

-h, --hdu=STR
    HDU/extension of all input FITS files.

-O, --mode=STR
    Coordinates mode ('wcs' or 'img').

-c, --center=FLT,FLT
    Center coordinates of the object.

-W, --widthinpix=INT,INT Width of the stamp in pixels.

-T, --snthresh=FLT
    Mask pixels below this S/N (only when '--segment' is given).

-n, --normradii=INT,INT Minimum and maximum radii (in pixels)
    for computing the normalization value.

-S, --segment=STR
    Output of Segment (with OBJECTS and CLUMPS).

-N, --normop=STR
    Operator for computing the normalization value (mean, sigclip-mean, etc.).

-Q, --axis-ratio=FLT
    Axis ratio for ellipse maskprofile (A/B).

-p, --position-angle=FLT Position angle for ellipse mask profile.

-s, --sigmaclip=FLT,FLT Sigma-clip multiple and tolerance.

-d, --nocentering
    Don't warp the center coord to central pixel.

    Output:

-o, --output
    Output table with the radial profile.

-t, --tmpdir
    Directory to keep temporary files.

-k, --keeptmp
    Keep temporal/auxiliar files.

    Operating mode:

-?, --help
    Print this help list.

--cite
    BibTeX citation for this program.

-q, --quiet
    Don't print any extra information in stdout.

-V, --version
    Print program version.

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2020-2024 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Raul Infante-Sainz

SEE ALSO
The full documentation for astscript-psf-stamp is maintained as a Texinfo manual. If the info and astscript-psf-stamp programs are properly installed at your site, the command

    info astscript-psf-stamp

should give you access to the complete manual.